/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{
    /** On Init Component Function (Required)
     * Initialize component when component is dragged to component list
     */
    function onInitComponent(oComponent){
        console.log("%c/components/"+ oComponent.getType() +"/initialization","color:purple");
        
        //Call common initialize component inside mainframe
        $.loadSyncScript("./components/mainframe/init.js");
        onInitMainframeComponent(oComponent);
        
        //Set default values
        oComponent.addParamVal("name", _D("Power"));
        var aIcons = oComponent.getParamVal("icons");
        //Important: mantain original position
        aIcons.push({
            status: 0,
            src: "./css/icons-set/images/icons-state_1-128x128.png",
            position:{
                x: 0,
                y: -512
            },
            color:{
                R: 255,
                G: 255,
                B: 255
            }
        });
        aIcons.push({
            status: 1,
            src: "./css/icons-set/images/icons-state_1-128x128.png",
            position:{
                x: 0,
                y: -512
            },
            color:{
                R: 255,
                G: 255,
                B: 255
            }
        });
        oComponent.addParamVal("knx/write-address","//");
        oComponent.addParamVal("knx/feedback-address","//");
    };
}
catch(err){
    console.error(err);
}
