/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{
    /** On Define Component Function (Required)
     * Initialize component behavior for virtual scenario composition
     */
    function onDefineComponent(oComponent){
        var oDescriptor = oComponent.getDescriptor();
        //var defaultVal = 0;
        var defaultVal = "0x000000";

        /**
         * Param 1 -> Type; Param 2 -> Min; Param 3 -> Max;
         */
        oDescriptor.setValueDescription(1,"0x000000","0xFFFFFF",defaultVal);
        oDescriptor.addDescription(0,_D("Color"));
        
        //Set editables
        oDescriptor.setActionEditable(false);
    };
}
catch(err){
    console.error(err);
}
