/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{
    function onInitComponent(oComponent){
        
        //Call common initialize component inside mainframe
        $.loadSyncScript("./components/mainframe/init.js");

        onInitMainframeComponent(oComponent);
        
        //Set default values using Publish/Subscribe pattern
        oComponent.addParamVal("name",_D("Counter"));
        
        //Select default Gui gateway
        oComponent.setParamVal("gateway",application.getGatewaysByProtocol("gui")[0]);
        
        var aIcons = oComponent.getParamVal("icons");
        var oIcon_status_0 = new Icon();


        /** ABILITARE I COMMENTI PER AGIUNGERE ICONA
         *
         */

        //var oIcon_status_1 = new Icon();
        var oDefaultPan = application.ResoucesManager.getDefaultIconsPan();
        
        var panw=model["instance"].skin.IconsPan.imgWidth;
        var panh=model["instance"].skin.IconsPan.imgHeight;
        var iconw=model["instance"].skin.IconsPan.iconsWidth;
        var iconh=model["instance"].skin.IconsPan.iconsHeight;

		var i0=model["instance"].skin.ComponentsInfo.Counter.defaultIcons[0];
        $.extend(true, oIcon_status_0, {
            status: 0,
            position:{ x: -i0.position.x*iconw, y: -i0.position.y*iconh },
            enableColors: false,
            srcId: oDefaultPan["id"],
            size: { h: iconh, w: iconw },
            setSize: { h: panh, w: panw }

        });
        
        //Important: maintain original position
        aIcons.push(oIcon_status_0);
        //aIcons.push(oIcon_status_1);

        oComponent.addParamVal("viewmodelist",[ 
        		{id:0, label:"Classic"}
        		//,{id:1, label:"Modal"}
        		//,{id:2, label:"Only Text"}
        		//,{id:3, label:"Hidden"} 
        	]);

        // Components
        // BEGIN MUST BE ALWAYS EXIST
        console.log("Init counter");
        oComponent.addParamVal("gui/components-list",[
            {label:"Timer reset (Pulse)",uid:"gui/resetTimeCounter",type:"pulse"},
            {label:"Timer (Info)",uid:"gui/timeCounter",type:"info"},
            {label:"Counter reset  (Pulse)",uid:"gui/resetNumberCounter",type:"pulse"},
            {label:"Counter (Info)" ,uid:"gui/numberCounter",type:"info"},
            {label:"Component to count (Switch)",uid:"gui/componentToCount",type:"switch"}

        ]);
        oComponent.addParamVal("gui/components", new Array() );
        // END MUST BE ALWAYS EXIST

        oComponent.addParamVal("gui/textFormat","{0:D2}d:{1:D2}h:{2:D2}m:{3:D2}s");
        oComponent.addParamVal("gui/updateTime","5");


    }
}
catch(err){
    console.error(err);
}
