/** Update component component properties */
try{
    
    /** On Update Component Function (Required)
     * Update component when some change has occured
     */
    function onUpdateComponent(oComponent){
        //Check
        if(! (oComponent instanceof Component) ){
            throw "oComponent is not a Component instance";
            return false;
        }

        $("[eve-manager-id='UID']").text(oComponent.UId);
        $("[eve-manager-id='type']").text(oComponent.type);
        
        //Set name
        var $Elem = $componentProperties.find("[eve-manager-id='name']");
        $Elem.val(oComponent.getParamVal("name"));
        
        //Set name
        var $Elem = $componentProperties.find("[eve-manager-id='name']");
        $Elem.val(oComponent.getParamVal("name"));
        
        //Set html name
        $Elem = $("#"+ oComponent.id +" .components-text");
        $Elem.text(oComponent.getParamVal("name"));
        
        //Build gateways
        $Elem = $componentProperties.find("[eve-manager-id='gateway']");
        $.publish("/view/gateways/refresh/dependencies");
        
        //Set gateways
        var $Elem = $componentProperties.find("[eve-manager-id='gateway'] option");
        $componentProperties.find(".protocols").hide();                                             //Hide all protocols
        for(var i = 0; i < $Elem.length; ++i){
            var $currElem = $($Elem[i]);
            var oNode = $currElem.data("eveManagerNode");
            var strProtocol;
            
            //Find gateway
            if(oNode === oComponent.getParamVal("gateway")){
                
                $currElem.prop("selected",true);                                                    //Select gateway
                if(oNode == undefined){ break; }                                                    //If none gateway is selected break for cicle
                
                var oGateway = oNode.getData();                                                     //Get node data (gateway)
                
                strProtocol = oGateway.getProtocol();                                               //Get protocol id
                $componentProperties.find("[eve-manager-protocol='"+ strProtocol +"']").show();     //Show protocol view
                break;
            }
        }
        
        //Set enable history
        $Elem = $componentProperties.find("[eve-manager-id='history']");
        $Elem.prop("checked",oComponent.getParamVal("history"));
        
        //Set enable save last value
        $Elem = $componentProperties.find("[eve-manager-id='savelastvalue']");
        $Elem.prop("checked",oComponent.getParamVal("savelastvalue"));
        
        //Set enable cache
        $Elem = $componentProperties.find("[eve-manager-id='cache']");
        $Elem.prop("checked",oComponent.getParamVal("cache"));


        //Set icon
        $Elem = $componentProperties.find("[eve-manager-id='icons']");
        var aIcons = oComponent.getParamVal("icons");
        
        $.publish("/view/components/"+ oComponent.id +"/refresh/parameter",[oComponent,"icons"]);
        
        /* GUI */
        $Elem = $componentProperties.find("[eve-manager-id='widget/type']");
        //var json = $.getSyncJSON("./components/widget/widgets.json");
        var json = $.getSyncJSON("./declarations/widgets-2.0.json");
        var widget = oComponent.getParamVal("widget/type");
        
        for(var i=0; i<json.length; ++i){
            var $option = $("<option>"+ json[i]["name"] +"</option>");
            $option.val(json[i]["type"]);
            
            $Elem.append($option);
            
            if(json[i]["type"] == widget){
                $option.prop("selected",true);                                                    //Select format
                chooseWidget($Elem[0]);
            }
        }
        
        $Elem = $componentProperties.find("[eve-manager-id='widget/components']");
        var aWidgetComponents = oComponent.getParamVal("widget/components");
        
        for(var i=0; i<$Elem.length; ++i){
            
            var $options = $( $Elem[i] ).find("option");
            
            //Element is not selected
            if(aWidgetComponents[i] == undefined){
                $( $options[0] ).prop("selected",true);         //Select automatically
                setDropDownParam($Elem[i]);                     //Save automatically
                continue;
            }
            
            for(var j=0; j<$options.length; ++j){
                var $option = $( $options[j] );
                
                if( $option.val() == aWidgetComponents[i] ){
                    $option.prop("selected",true);              //Select format
                    break;
                }
            }
        }
        
        //Disable Gateway
        $("#componentproperties [eve-manager-components='mainframe'] [eve-manager-id='gateway']").prop("disabled",true);

        /** Ghost */

        //Set virtual feedback
        var $Elem = $componentProperties.find("[eve-manager-id='ghost/virtual-feedback']");
        $Elem.prop("checked", oComponent.getParamVal("ghost/virtual-feedback") );
    };
}
catch(err){
    console.error(err);
}
