"use strict";

function componentsDropDownSelector(SetDropDownFunction,divPlace, data) {
    var self = this;


    var oData=application.getSelectComponent().getData();

    if (oData.getParamVal(data.uid)==undefined)
        oData.addParamVal(data.uid,"");
    var $container = divPlace;



    var $label = $('<span>' + data.label + '</span>');
    var $select = $('<select></select>');
    var componentType = data.type;

    //$label.text( _D( componentType.capitalizeFirst() ) );
    $label.addClass("widget-components");

    //Get all created components
    var aComponent = application.getComponentsByType( componentType );

    //Append select
    //$select.addClass("widget-components");
    $select.attr("eve-manager-id",data.uid);
    $select.attr("onchange","setDropDownParam(this);");
    $select.data("componentType",data);

    $container.append($label);
    $container.append($select);

    $select.append($("<option>None</option>"));

    var val=oData.getParamVal(data.uid);

    for(var j=0; j<aComponent.length; ++j){
        var oNode = aComponent[j];
        var oParent = oNode.getParent();
        var oComponentExt = oNode.getData();
        var label = oComponentExt.getParamVal("name");

        //console.log(oParent);
        if(oParent.getData() instanceof Component){
            label = oParent.getData().getParamVal("name") +" - "+ label;
        }
        var $option;
        $option = $("<option>"+ label +"</option>");
        if (oComponentExt.UId==val)
        {
            $option = $("<option selected>"+ label +"</option>");

        }


        $option.val(oComponentExt.UId);
        $option.data("eveManagerNode",oComponentExt);
        $select.append($option);

    }
    SetDropDownFunction($select);
};

function itemsDropDownSelector(SetDropDownFunction,divPlace, data) {
    var self = this;

    var oData=application.getSelectComponent().getData();
    if (oData.getParamVal(data.uid)==undefined)
        oData.addParamVal(data.uid,"");

    var $container = divPlace;



    var $label = $('<span>' + data.label + '</span>');
    var $select = $('<select></select>');

    //$label.text( _D( componentType.capitalizeFirst() ) );
    $label.addClass("widget-components");



    //Append select
    //$select.addClass("widget-components");
    $select.attr("eve-manager-id",data.uid);
    $select.attr("onchange","setDropDownParam(this);");


    $container.append($label);
    $container.append($select);

    var val=oData.getParamVal(data.uid);

    for(var j=0; j<data.options.length; ++j){
        var $option = $("<option>"+ data.options[j] +"</option>");
        if (val==data.options[j])
        {
            $option = $("<option selected>"+ data.options[j] +"</option>");
        }

        $option.val(data.options[j]);
        $select.append($option);
    }
    SetDropDownFunction($select);

};